OID reference

vlanSupportedTypeAfterReset

1.3.6.1.4.1.89.48.20

Description

New type of vlan supported by the device after the next reset.

Full description and source information

Identification

Identifier and names

Parent
1.3.6.1.4.1.89.48 (vlan)
Node code
20
Node name
vlanSupportedTypeAfterReset
Category
SNMP management object
Numeric OID
1.3.6.1.4.1.89.48.20
URN notation
urn:oid:1.3.6.1.4.1.89.48.20
ASN.1, OID-IRI and named path variants
ASN.1 notation

{1 3 6 1 4 1 89 48 20}

  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) org(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) org(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) org(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-identified-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) enterprises(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) ldap-enterprise(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
  • {iso(1) iso-organization(3) dod(6) internet(1) private(4) vendor-objects(1) rnd(89) vlan(48) vlanSupportedTypeAfterReset(20)}
OID-IRI notation
  • /1/3/6/1/4/1/89/48/20
  • /ISO/Identified-Organization/6/1/4/1/89/48/20
  • /ISO/3/6/1/4/1/89/48/20
Named path variants
  • /iso/identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/org/dod/internet/private/enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/org/dod/internet/private/enterprises/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/org/dod/internet/private/ldap-enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/org/dod/internet/private/vendor-objects/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-identified-organization/dod/internet/private/enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-identified-organization/dod/internet/private/enterprises/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-identified-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-identified-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-organization/dod/internet/private/enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-organization/dod/internet/private/enterprises/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-organization/dod/internet/private/ldap-enterprise/rnd/vlan/vlanSupportedTypeAfterReset
  • /iso/iso-organization/dod/internet/private/vendor-objects/rnd/vlan/vlanSupportedTypeAfterReset

SNMP properties

Value type
INTEGER
Maximum access defined by MIB
read-write
Status in MIB
mandatory
Default value
perPort

Enumerated values

ValueName
1perPort
2perProtAndPort

Using this OID with SNMP

At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.

snmpget [connection options] DEVICE .1.3.6.1.4.1.89.48.20.0

Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.

Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.

The displayed source records contain one distinct definition. Compare its source records.

vlanSupportedTypeAfterReset OBJECT-TYPE
    SYNTAX  INTEGER {
        perPort(1),
        perProtAndPort(2)
    }
    ACCESS  read-write
    STATUS  mandatory
    DESCRIPTION
        "New type of vlan supported by the device after the next reset."
    DEFVAL { perPort }
    ::= { vlan 20 }

Meaning

Descriptions

1 unique

Identical descriptions are grouped. Different wording and device-specific notes are retained.

New type of vlan supported by the device after the next reset.

Sources for this description

D-Link official switch MIBs

See 1 matching source record

Evidence

Source records

1 records

Matching descriptions are grouped; open a group to compare definitions and supporting files.

Records for description 1D-Link official switch MIBs1 record · 1 source

Description 1

vlanSupportedTypeAfterReset · mandatoryD-Link official switch MIBs1 source

Status in source: mandatory.

Names: vlanSupportedTypeAfterReset

Technical details
{
  "smi_kind": "OBJECT-TYPE",
  "definition": [
    "vlanSupportedTypeAfterReset",
    "OBJECT-TYPE",
    "SYNTAX",
    "INTEGER",
    "{",
    "perPort",
    "(",
    "1",
    ")",
    ",",
    "perProtAndPort",
    "(",
    "2",
    ")",
    "}",
    "ACCESS",
    "read-write",
    "STATUS",
    "mandatory",
    "DESCRIPTION",
    "\"New type of vlan supported by the device after the next reset.\"",
    "DEFVAL",
    "{",
    "perPort",
    "}",
    "::=",
    "{",
    "vlan",
    "20",
    "}"
  ],
  "syntax_tree": [
    [
      "SimpleSyntax",
      "INTEGER",
      [
        "enumSpec",
        [
          [
            "perPort",
            1
          ],
          [
            "perProtAndPort",
            2
          ]
        ]
      ]
    ],
    null,
    [
      "MaxAccessPart",
      "read-write"
    ],
    [
      "Status",
      "mandatory"
    ],
    [
      "DESCRIPTION",
      "New type of vlan supported by the device after the next reset."
    ],
    null,
    null,
    null,
    [
      "DEFVAL",
      "perPort"
    ]
  ]
}
  • D-Link official switch MIBs · Publisher's source file: Source package: DES6300 MIB(0131140909).zip

    Module: RADLAN-MIB

    See published definition above

    Module imports
    {'IF-MIB': ['InterfaceIndexOrZero', 'InterfaceIndex', 'ifIndex'], 'LAG-MIB': ['dot3adAggIndex'], 'MAU-MIB': ['JackType'], 'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'RMON-MIB': ['OwnerString', 'EntryStatus'], 'SNMPv2-TC': ['TEXTUAL-CONVENTION'], 'BRIDGE-MIB': ['BridgeId', 'Timeout', 'dot1dBasePort', 'dot1dBasePortEntry', 'MacAddress'], 'SNMPv2-SMI': ['Unsigned32', 'Counter32', 'Counter64'], 'RFC1155-SMI': ['NetworkAddress', 'IpAddress', 'Counter', 'Gauge', 'TimeTicks', 'enterprises'], 'RFC1213-MIB': ['DisplayString', 'PhysAddress', 'ipAddrEntry'], 'RFC1315-MIB': ['DLCI'], 'RFC1389-MIB': ['rip2IfConfEntry'], 'P-BRIDGE-MIB': ['EnabledStatus'], 'Q-BRIDGE-MIB': ['PortList'], 'SNMPv2-TC-v1': ['TimeInterval'], 'RADLAN-SNMPv2': ['TruthValue', 'RowStatus', 'zeroDotZero', 'RowPointer'], 'SNMP-FRAMEWORK-MIB': ['SnmpAdminString']}
    · Download APOLLO.TXT

    Related source files and packages:

Registration

Registration authorities

First Registration Authority (inferred from ancestor 1.3.6.1.4.1.89)

Nethaniel Rina

Siblings (76)

OIDNameDirect childrenDescendantsDescription
1.3.6.1.4.1.89.48.1 vlanMibVersion00
1.3.6.1.4.1.89.48.2 vlanMaxTableNumber00
1.3.6.1.4.1.89.48.3 vlanSupportedType00
1.3.6.1.4.1.89.48.4 vlanPortAutoConfigSupport00
1.3.6.1.4.1.89.48.5 vlanLlcUserDefinedNum00
1.3.6.1.4.1.89.48.6 vlanEthUserDefinedNum00
1.3.6.1.4.1.89.48.7 vlanEthUserDefinedMaskSupport00
1.3.6.1.4.1.89.48.8 vlanIpxSeparatedVlansSupport00
1.3.6.1.4.1.89.48.9 vlanTaggingType00
1.3.6.1.4.1.89.48.10 vlanFirstUnusedTag00
1.3.6.1.4.1.89.48.11 vlanAutoConfAgingTimeout00
1.3.6.1.4.1.89.48.13 vlanPreDefProtTable12
1.3.6.1.4.1.89.48.14 vlanEthUserDefProtTable16
1.3.6.1.4.1.89.48.15 vlanLlcUserDefProtTable16
1.3.6.1.4.1.89.48.16 vlanStatusTable13
1.3.6.1.4.1.89.48.17 vlanTable110
1.3.6.1.4.1.89.48.18 vlanPortsTable17
1.3.6.1.4.1.89.48.19 vlanAutoConfTable14
1.3.6.1.4.1.89.48.21 vlanNameTable14
1.3.6.1.4.1.89.48.22 vlanPortModeTable12
1.3.6.1.4.1.89.48.23 rlDefaultVlanEnable00
1.3.6.1.4.1.89.48.24 rlDefaultVlanTag00
1.3.6.1.4.1.89.48.25 rlDefaultVlanSupported00
1.3.6.1.4.1.89.48.26 vlanTagToIfIndexTable13
1.3.6.1.4.1.89.48.27 vlanSendUnknownToAllPorts00
1.3.6.1.4.1.89.48.28 rlDefaultVlanExcludePorts00
1.3.6.1.4.1.89.48.29 vlanDefaultSupported00
1.3.6.1.4.1.89.48.31 vlanDot1vSupported00
1.3.6.1.4.1.89.48.32 vlanDefaultEnabled00
1.3.6.1.4.1.89.48.33 vlanSpecialTagTable13
1.3.6.1.4.1.89.48.34 vlanSpecialTagCurrentTable14
1.3.6.1.4.1.89.48.35 vlanPrivateEdgeSupported00
1.3.6.1.4.1.89.48.36 vlanPrivateEdgeVersion00
1.3.6.1.4.1.89.48.37 vlanPrivateEdgeTable13
1.3.6.1.4.1.89.48.38 vlanDynamicVlanSupported00
1.3.6.1.4.1.89.48.39 vlanDynamicVlanTable14
1.3.6.1.4.1.89.48.40 vlanPortModeExtTable13
1.3.6.1.4.1.89.48.41 vlanPrivateSupported00
1.3.6.1.4.1.89.48.42 vlanPrivateTableOld, vlanPrivateTable13
1.3.6.1.4.1.89.48.43 vlanPrivateCommunityTable13
1.3.6.1.4.1.89.48.44 vlanMulticastTvTable13
1.3.6.1.4.1.89.48.45 vlanMacBaseVlanGroupTable15
1.3.6.1.4.1.89.48.46 vlanMacBaseVlanPortTable14
1.3.6.1.4.1.89.48.47 vlanPrivateEdgeGroupTable14
1.3.6.1.4.1.89.48.48 vlanPrivateEdgeGroupIfIndexTable13
1.3.6.1.4.1.89.48.49 vlanSubnetRangeTable15
1.3.6.1.4.1.89.48.50 vlanSubnetPortTable14
1.3.6.1.4.1.89.48.51 vlanTriplePlayTable14
1.3.6.1.4.1.89.48.52 vlanTriplePlayMulticastTvTable13
1.3.6.1.4.1.89.48.53 vlanDefaultExtManagment00